### Method

# GUPnPAV DIDLLiteContributor set_role

#### Declaration [src]

    void
    gupnp_didl_lite_contributor_set_role (
      GUPnPDIDLLiteContributor* contributor,
      const char* role
    )

#### Description [src]

Set the role of the `contributor` to `role`.

Sets property | `GUPnPAV.DIDLLiteContributor:role`

#### Parameters

`role`

  Type: `const char*`

  The role of the `contributor`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.